Bug 171225 - New Port: sysutils/salt-cloud - Generic cloud provisioning tool
Summary: New Port: sysutils/salt-cloud - Generic cloud provisioning tool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-01 03:10 UTC by Christer Edwards
Modified: 2012-09-07 19:00 UTC (History)
0 users

See Also:


Attachments
file.shar (5.61 KB, text/plain)
2012-09-01 03:10 UTC, Christer Edwards
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christer Edwards 2012-09-01 03:10:06 UTC
Salt Cloud is a generic cloud provisioning tool which can hook into existing cloud management systems.

Fix: Patch attached with submission follows:
How-To-Repeat: New Port
Comment 1 Edwin Groothuis freebsd_committer 2012-09-01 03:10:16 UTC
Class Changed
From-To: update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Steve Wills freebsd_committer 2012-09-07 17:38:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 3 dfilter service freebsd_committer 2012-09-07 18:52:30 UTC
Author: swills
Date: Fri Sep  7 17:51:35 2012
New Revision: 303813
URL: http://svn.freebsd.org/changeset/ports/303813

Log:
  Salt Cloud is a generic cloud provisioning tool which can hook into
  existing cloud management systems.
  
  WWW:	http://saltstack.org
  
  PR:		ports/171225
  Submitted by:	christer.edwards@gmail.com

Added:
  head/sysutils/salt-cloud/
  head/sysutils/salt-cloud/Makefile   (contents, props changed)
  head/sysutils/salt-cloud/distinfo   (contents, props changed)
  head/sysutils/salt-cloud/files/
  head/sysutils/salt-cloud/files/patch-setup.py   (contents, props changed)
  head/sysutils/salt-cloud/pkg-descr   (contents, props changed)
  head/sysutils/salt-cloud/pkg-plist   (contents, props changed)
Modified:
  head/sysutils/Makefile

Modified: head/sysutils/Makefile
==============================================================================
--- head/sysutils/Makefile	Fri Sep  7 17:29:32 2012	(r303812)
+++ head/sysutils/Makefile	Fri Sep  7 17:51:35 2012	(r303813)
@@ -827,6 +827,7 @@
     SUBDIR += safe-rm
     SUBDIR += safecat
     SUBDIR += salt
+    SUBDIR += salt-cloud
     SUBDIR += samefile
     SUBDIR += samesame
     SUBDIR += sarah

Added: head/sysutils/salt-cloud/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/salt-cloud/Makefile	Fri Sep  7 17:51:35 2012	(r303813)
@@ -0,0 +1,37 @@
+# New ports collection makefile for: salt-cloud
+# Date created:	2012-07-16
+# Whom:		Christer Edwards <christer.edwards@gmail.com>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	salt-cloud
+PORTVERSION=	0.7.0
+CATEGORIES=	sysutils python
+MASTER_SITES=	https://github.com/downloads/saltstack/salt-cloud/
+
+MAINTAINER=	christer.edwards@gmail.com
+COMMENT=	Provisioning salted minions to various cloud providers
+
+LICENSE=	AL2
+
+FETCH_ARGS=	-pRr
+USE_PYTHON=	2.6-2.7
+USE_PYDISTUTILS=	yes
+
+SUB_LIST+=	PYTHON_CMD=${PYTHON_CMD}
+
+MAN1=		salt-cloud.1
+MAN7=		salt-cloud.7
+
+BUILD_DEPENDS+=	salt:${PORTSDIR}/sysutils/salt \
+		${PYTHON_PKGNAMEPREFIX}yaml>=0:${PORTSDIR}/devel/py-yaml \
+		${PYTHON_PKGNAMEPREFIX}libcloud>=0:${PORTSDIR}/net/py-libcloud \
+		${PYTHON_PKGNAMEPREFIX}paramiko>=0:${PORTSDIR}/security/py-paramiko \
+
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+post-patch:
+	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|' ${WRKSRC}/setup.py
+
+.include <bsd.port.mk>

Added: head/sysutils/salt-cloud/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/salt-cloud/distinfo	Fri Sep  7 17:51:35 2012	(r303813)
@@ -0,0 +1,2 @@
+SHA256 (salt-cloud-0.7.0.tar.gz) = 506bebdead9d0482204236dd546909493a12607fd5b40245de797cf602ea1827
+SIZE (salt-cloud-0.7.0.tar.gz) = 28272

Added: head/sysutils/salt-cloud/files/patch-setup.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/salt-cloud/files/patch-setup.py	Fri Sep  7 17:51:35 2012	(r303813)
@@ -0,0 +1,14 @@
+--- work/salt-cloud-0.6.0/setup.py	2012-07-13 11:50:56.000000000 -0600
++++ setup.py	2012-07-16 13:07:15.901865171 -0600
+@@ -45,9 +45,9 @@
+       package_data={
+           'saltcloud': ['deploy/*'],
+           },
+-      data_files=[('share/man/man1',
++      data_files=[('man/man1',
+                      ['doc/man/salt-cloud.1']),
+-                     ('share/man/man7',
++                     ('man/man7',
+                      ['doc/man/salt-cloud.7'])],
+       scripts=['scripts/salt-cloud'],
+      )

Added: head/sysutils/salt-cloud/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/salt-cloud/pkg-descr	Fri Sep  7 17:51:35 2012	(r303813)
@@ -0,0 +1,4 @@
+Salt Cloud is a generic cloud provisioning tool which can hook into 
+existing cloud management systems. 
+
+WWW:	http://saltstack.org

Added: head/sysutils/salt-cloud/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/salt-cloud/pkg-plist	Fri Sep  7 17:51:35 2012	(r303813)
@@ -0,0 +1,56 @@
+bin/salt-cloud
+%%PYTHON_SITELIBDIR%%/saltcloud/__init__.py
+%%PYTHON_SITELIBDIR%%/saltcloud/__init__.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/__init__.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/cli.py
+%%PYTHON_SITELIBDIR%%/saltcloud/cli.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/cli.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/cloud.py
+%%PYTHON_SITELIBDIR%%/saltcloud/cloud.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/cloud.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/__init__.py
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/__init__.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/__init__.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/aws.py
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/aws.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/aws.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/gogrid.py
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/gogrid.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/gogrid.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/joyent.py
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/joyent.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/joyent.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/linode.py
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/linode.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/linode.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/rackspace.py
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/rackspace.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/rackspace.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/config.py
+%%PYTHON_SITELIBDIR%%/saltcloud/config.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/config.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/deploy/Arch.sh
+%%PYTHON_SITELIBDIR%%/saltcloud/deploy/Fedora.sh
+%%PYTHON_SITELIBDIR%%/saltcloud/deploy/None.sh
+%%PYTHON_SITELIBDIR%%/saltcloud/deploy/RHEL5.sh
+%%PYTHON_SITELIBDIR%%/saltcloud/deploy/RHEL6.sh
+%%PYTHON_SITELIBDIR%%/saltcloud/deploy/Ubuntu.sh
+%%PYTHON_SITELIBDIR%%/saltcloud/libcloudfuncs.py
+%%PYTHON_SITELIBDIR%%/saltcloud/libcloudfuncs.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/libcloudfuncs.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/loader.py
+%%PYTHON_SITELIBDIR%%/saltcloud/loader.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/loader.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/output.py
+%%PYTHON_SITELIBDIR%%/saltcloud/output.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/output.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/utils/__init__.py
+%%PYTHON_SITELIBDIR%%/saltcloud/utils/__init__.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/utils/__init__.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/version.py
+%%PYTHON_SITELIBDIR%%/saltcloud/version.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/version.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/saltcloud/clouds
+@dirrm %%PYTHON_SITELIBDIR%%/saltcloud/deploy
+@dirrm %%PYTHON_SITELIBDIR%%/saltcloud/utils
+@dirrm %%PYTHON_SITELIBDIR%%/saltcloud
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Steve Wills freebsd_committer 2012-09-07 18:57:10 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!